signconf_xml.c File Reference
`#include "log.h"`
`#include "str.h"`
`#include "clientpipe.h"`
`#include "duration.h"`
`#include "db/key_data.h"`
`#include "db/hsm_key.h"`
`#include "utils/kc_helper.h"`
`#include "signconf/signconf_xml.h"`
`#include <libxml/parser.h>`
`#include <libxml/tree.h>`
`#include <limits.h>`
`#include <unistd.h>`

Go to the source code of this file.

## Functions

int | signconf_export_zone (char const *zonename, db_connection_t *dbconn)
int | signconf_export_all (int sockfd, const db_connection_t *connection, int force)

## Function Documentation

## signconf_export_all()

int signconf_export_all | ( | int | sockfd,
|  | const db_connection_t * | connection,
|  | int | force )

Export the signconf XML for all zones.

Parameters

  [in] | sockfd | a socket fd.
  [in] | connection | a db_connection_t pointer.
  [in] | force | if non-zero it will force the export for all zones even if there are no updates for the zones.

Returns
  SIGNCONF_EXPORT_ERR_* on error, otherwise SIGNCONF_EXPORT_OK or SIGNCONF_EXPORT_NO_CHANGE.

Definition at line 84 of file signconf_xml.c.

References db_value_cmp(), policy_free(), policy_id(), SIGNCONF_EXPORT_ERR_ARGS, SIGNCONF_EXPORT_ERR_DATABASE, SIGNCONF_EXPORT_ERR_MEMORY, SIGNCONF_EXPORT_NO_CHANGE, SIGNCONF_EXPORT_OK, zone_db_free(), zone_db_get_policy(), zone_db_policy_id(), zone_list_db_free(), zone_list_db_get(), zone_list_db_get_next(), and zone_list_db_new().

## signconf_export_zone()

int signconf_export_zone | ( | char const * | zonename,
|  | db_connection_t * | dbconn )

Export the signconf XML for zone.

Parameters

  [in] | zonename | Name of zone to write signconf for.
  [in] | dbconn | a db_connection_t pointer.

Returns
  SIGNCONF_EXPORT_ERR_* on error, otherwise SIGNCONF_EXPORT_OK or SIGNCONF_EXPORT_NO_CHANGE.

Definition at line 57 of file signconf_xml.c.

References policy_free(), SIGNCONF_EXPORT_ERR_DATABASE, zone_db_free(), zone_db_get_policy(), and zone_db_new_get_by_name().